org.jacoco.report.check

## Class RulesChecker

- java.lang.Object
- - org.jacoco.report.check.RulesChecker

    public class RulesChecker
    extends Object

Formatter which checks a set of given rules and reports violations to a `IViolationsOutput` instance.

### Constructor Summary

Constructors
Constructor and Description
`RulesChecker()` New formatter instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`IReportVisitor` `createVisitor(IViolationsOutput output)` Creates a new visitor to process the configured checks.
`void` `setLanguageNames(ILanguageNames languageNames)` Sets the implementation for language name display for message formatting.
`void` `setRules(List<Rule> rules)` Sets the rules to check by this formatter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RulesChecker

    public RulesChecker()

New formatter instance.

### Method Detail

#### setRules

    public void setRules(List<Rule> rules)

Sets the rules to check by this formatter.

Parameters:
  `rules` - rules to check

#### setLanguageNames

    public void setLanguageNames(ILanguageNames languageNames)

Sets the implementation for language name display for message formatting. Java language names are defined by default.

Parameters:
  `languageNames` - converter for language specific names

#### createVisitor

    public IReportVisitor createVisitor(IViolationsOutput output)

Creates a new visitor to process the configured checks.

Parameters:
  `output` - call-back to report violations to
Returns:
  visitor to emit the report data to